@keyframes swing {
    0% {
        transform: rotate(0deg);
    }
    10% {
        transform: rotate(10deg);
    }
    30% {
        transform: rotate(0deg);
    }
    40% {
        transform: rotate(-10deg);
    }
    50% {
        transform: rotate(0deg);
    }
    60% {
        transform: rotate(5deg);
    }
    70% {
        transform: rotate(0deg);
    }
    80% {
        transform: rotate(-5deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

@keyframes sonar {
    0% {
        transform: scale(0.9);
        opacity: 1;
    }
    100% {
        transform: scale(2);
        opacity: 0;
    }
}

body {
    font-size: 0.9rem;
}

.fr {
    float: right;
}

.page-wrapper .sidebar-wrapper,
.sidebar-wrapper .sidebar-brand>a,
.sidebar-wrapper .sidebar-dropdown>a:after,
.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a:before,
.sidebar-wrapper ul li a i,
.page-wrapper .page-content,
.sidebar-wrapper .sidebar-search input.search-menu,
.sidebar-wrapper .sidebar-search .input-group-text,
.sidebar-wrapper .sidebar-menu ul li a,
#show-sidebar,
#close-sidebar {
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}


/*----------------page-wrapper----------------*/

.page-wrapper {
    height: 100vh;
}

.page-wrapper .theme {
    width: 40px;
    height: 40px;
    display: inline-block;
    border-radius: 4px;
    margin: 2px;
}

.page-wrapper .theme.chiller-theme {
    background: #1e2229;
}


/*----------------toggeled sidebar----------------*/

.page-wrapper.toggled .sidebar-wrapper {
    left: 0px;
}

@media screen and (min-width: 768px) {
    .page-wrapper.toggled .page-content {
        padding-left: 300px;
    }
}


/*----------------show sidebar button----------------*/

#show-sidebar {
    position: fixed;
    left: 0;
    top: 10px;
    border-radius: 0 4px 4px 0px;
    width: 35px;
    z-index: 1000;
    transition-delay: 0.3s;
}

.page-wrapper.toggled #show-sidebar {
    left: -40px;
}

.course-top-margin {
    margin-top: 9px;
}

.course-top-margin span {
    margin-top: 30px;
    font-size: 21px;
    margin: 0px 0px 0px 40px;
}

.go-to-page span {
    font-size: 18px;
    margin: 0px 5px 7px -1px;
    vertical-align: middle;
}

.go input {
    font-size: 14px;
    vertical-align: super;
}

.select-section {
    margin-top: 10px;
}

.go-to-page label {
    margin-top: 7px;
}


/*----------------sidebar-wrapper----------------*/

.sidebar-wrapper {
    width: 260px;
    height: 100%;
    max-height: 100%;
    position: fixed;
    top: 0;
    left: -300px;
    z-index: 999;
}

.sidebar-wrapper ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.sidebar-wrapper a {
    text-decoration: none;
}


/*----------------sidebar-content----------------*/

.sidebar-content {
    max-height: calc(100% - 30px);
    height: calc(100% - 30px);
    overflow-y: auto;
    position: relative;
}

.sidebar-content.desktop {
    overflow-y: hidden;
}


/*--------------------sidebar-brand----------------------*/

.sidebar-wrapper .sidebar-brand {
    padding: 10px 20px;
    display: flex;
    align-items: center;
}

.sidebar-wrapper .sidebar-brand>a {
    text-transform: uppercase;
    font-weight: bold;
    flex-grow: 1;
}

.sidebar-wrapper .sidebar-brand #close-sidebar {
    cursor: pointer;
    font-size: 20px;
}


/*--------------------sidebar-header----------------------*/

.sidebar-wrapper .sidebar-header {
    padding: 20px;
    overflow: hidden;
}

.sidebar-wrapper .sidebar-header .user-pic {
    float: left;
    width: 60px;
    padding: 2px;
    border-radius: 12px;
    margin-right: 15px;
    overflow: hidden;
}

.sidebar-wrapper .sidebar-header .user-pic img {
    object-fit: cover;
    height: 100%;
    width: 100%;
}

.sidebar-wrapper .sidebar-header .user-info {
    float: left;
}

.sidebar-wrapper .sidebar-header .user-info>span {
    display: block;
}

.sidebar-wrapper .sidebar-header .user-info .user-role {
    font-size: 12px;
}

.sidebar-wrapper .sidebar-header .user-info .user-status {
    font-size: 11px;
    margin-top: 4px;
}

.sidebar-wrapper .sidebar-header .user-info .user-status i {
    font-size: 8px;
    margin-right: 4px;
    color: #5cb85c;
}


/*-----------------------sidebar-search------------------------*/

.sidebar-wrapper .sidebar-search>div {
    padding: 10px 20px;
}


/*----------------------sidebar-menu-------------------------*/

.sidebar-wrapper .sidebar-menu {
    padding-bottom: 10px;
}

.sidebar-wrapper .sidebar-menu .header-menu span {
    font-weight: bold;
    font-size: 14px;
    padding: 15px 20px 5px 20px;
    display: inline-block;
}

.sidebar-wrapper .sidebar-menu ul li a {
    display: inline-block;
    width: 100%;
    text-decoration: none;
    position: relative;
    padding: 8px 30px 8px 20px;
}

.sidebar-wrapper .sidebar-menu ul li a i {
    margin-right: 10px;
    font-size: 12px;
    width: 30px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    border-radius: 4px;
}

.sidebar-wrapper .sidebar-menu ul li a:hover>i::before {
    display: inline-block;
    animation: swing ease-in-out 0.5s 1 alternate;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown>a:after {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f105";
    font-style: normal;
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-align: center;
    background: 0 0;
    position: absolute;
    right: 15px;
    top: 14px;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu ul {
    padding: 5px 0;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li {
    padding-left: 25px;
    font-size: 13px;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a:before {
    content: "\f111";
    font-family: "Font Awesome 5 Free";
    font-weight: 400;
    font-style: normal;
    display: inline-block;
    text-align: center;
    text-decoration: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    margin-right: 10px;
    font-size: 8px;
}

.sidebar-wrapper .sidebar-menu ul li a span.label,
.sidebar-wrapper .sidebar-menu ul li a span.badge {
    float: right;
    margin-top: 8px;
    margin-left: 5px;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a .badge,
.sidebar-wrapper .sidebar-menu .sidebar-dropdown .sidebar-submenu li a .label {
    float: right;
    margin-top: 0px;
}

.sidebar-wrapper .sidebar-menu .sidebar-submenu {
    display: none;
}

.sidebar-wrapper .sidebar-menu .sidebar-dropdown.active>a:after {
    transform: rotate(90deg);
    right: 17px;
}


/*--------------------------side-footer------------------------------*/

.sidebar-footer {
    position: absolute;
    width: 100%;
    bottom: 0;
    display: flex;
}

.sidebar-footer>a {
    flex-grow: 1;
    text-align: center;
    height: 30px;
    line-height: 30px;
    position: relative;
}

.sidebar-footer>a .notification {
    position: absolute;
    top: 0;
}

.badge-sonar {
    display: inline-block;
    background: #980303;
    border-radius: 50%;
    height: 8px;
    width: 8px;
    position: absolute;
    top: 0;
}

.badge-sonar:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    border: 2px solid #980303;
    opacity: 0;
    border-radius: 50%;
    width: 100%;
    height: 100%;
    animation: sonar 1.5s infinite;
}


/*--------------------------page-content-----------------------------*/

.page-wrapper .page-content {
    display: inline-block;
    width: 100%;
}

.page-wrapper .page-content {
    overflow-x: hidden;
}


/*------scroll bar---------------------*/

::-webkit-scrollbar {
    width: 5px;
    height: 7px;
}

::-webkit-scrollbar-button {
    width: 0px;
    height: 0px;
}

::-webkit-scrollbar-thumb {
    background: #525965;
    border: 0px none #ffffff;
    border-radius: 0px;
}

::-webkit-scrollbar-thumb:hover {
    background: #525965;
}

::-webkit-scrollbar-thumb:active {
    background: #525965;
}

::-webkit-scrollbar-track {
    background: transparent;
    border: 0px none #ffffff;
    border-radius: 50px;
}

::-webkit-scrollbar-track:hover {
    background: transparent;
}

::-webkit-scrollbar-track:active {
    background: transparent;
}

::-webkit-scrollbar-corner {
    background: transparent;
}


/*-----------------------------chiller-theme-------------------------------------------------*/

.chiller-theme .sidebar-wrapper {
    background: #31353D;
}

.chiller-theme .sidebar-wrapper .sidebar-header,
.chiller-theme .sidebar-wrapper .sidebar-search,
.chiller-theme .sidebar-wrapper .sidebar-menu {
    border-top: 1px solid #3a3f48;
}

.chiller-theme .sidebar-wrapper .sidebar-search input.search-menu,
.chiller-theme .sidebar-wrapper .sidebar-search .input-group-text {
    border-color: transparent;
    box-shadow: none;
}

.chiller-theme .sidebar-wrapper .sidebar-header .user-info .user-role,
.chiller-theme .sidebar-wrapper .sidebar-header .user-info .user-status,
.chiller-theme .sidebar-wrapper .sidebar-search input.search-menu,
.chiller-theme .sidebar-wrapper .sidebar-search .input-group-text,
.chiller-theme .sidebar-wrapper .sidebar-brand>a,
.chiller-theme .sidebar-wrapper .sidebar-menu ul li a,
.chiller-theme .sidebar-footer>a {
    color: #818896;
}

.chiller-theme .sidebar-wrapper .sidebar-menu ul li:hover>a,
.chiller-theme .sidebar-wrapper .sidebar-menu .sidebar-dropdown.active>a,
.chiller-theme .sidebar-wrapper .sidebar-header .user-info,
.chiller-theme .sidebar-wrapper .sidebar-brand>a:hover,
.chiller-theme .sidebar-footer>a:hover i {
    color: #b8bfce;
}

.page-wrapper.chiller-theme.toggled #close-sidebar {
    color: #bdbdbd;
}

.page-wrapper.chiller-theme.toggled #close-sidebar:hover {
    color: #ffffff;
}

.chiller-theme .sidebar-wrapper ul li:hover a i,
.chiller-theme .sidebar-wrapper .sidebar-dropdown .sidebar-submenu li a:hover:before,
.chiller-theme .sidebar-wrapper .sidebar-search input.search-menu:focus+span,
.chiller-theme .sidebar-wrapper .sidebar-menu .sidebar-dropdown.active a i {
    color: #16c7ff;
    text-shadow: 0px 0px 10px rgba(22, 199, 255, 0.5);
}

.chiller-theme .sidebar-wrapper .sidebar-menu ul li a i,
.chiller-theme .sidebar-wrapper .sidebar-menu .sidebar-dropdown div,
.chiller-theme .sidebar-wrapper .sidebar-search input.search-menu,
.chiller-theme .sidebar-wrapper .sidebar-search .input-group-text {
    background: #3a3f48;
}

.chiller-theme .sidebar-wrapper .sidebar-menu .header-menu span {
    color: #6c7b88;
}

.chiller-theme .sidebar-footer {
    background: #3a3f48;
    box-shadow: 0px -1px 5px #282c33;
    border-top: 1px solid #464a52;
}

.chiller-theme .sidebar-footer>a:first-child {
    border-left: none;
}

.chiller-theme .sidebar-footer>a:last-child {
    border-right: none;
}

#progress p {
    display: block;
    width: 240px;
    padding: 2px 5px;
    margin: 2px 0;
    border: 1px inset #446;
    border-radius: 5px;
    background: #eee url("/progress.png") 100% 0 repeat-y;
}

#progress p.success {
    background: #0c0 none 0 0 no-repeat;
}

#progress p.failed {
    background: #c00 none 0 0 no-repeat;
}

.form-control {
    margin-bottom: 10px;
}

.form-group th {
    padding: 8px;
    background-color: #3a3f48;
    color: #fff;
}

.form-group td {
    padding: 8px;
}

.form-group tbody {
    border: 1px solid #b5afaf;
    font-size: 15px;
}

.main-button a {
    margin: 0px 0px 0px 10px;
}

.main-section h4 {
    margin-bottom: 20px;
}

.page-content h2 {
    margin-bottom: 20px;
}

.table-responsive {
    width: 100%;
    margin-bottom: 15px;
    overflow-y: hidden;
    border: 1px solid #ddd;
}

.width-th th {
    min-width: 150px;
    text-align: center;
}

.width-th1 td {
    text-align: center;
}

.width-th1 i {
    font-size: 19px;
    vertical-align: middle;
}

.width-th1 th {
    min-width: 170px;
    background-color: #fff;
    color: #000;
}

.width-th2 th {
    background-color: #fff;
    color: #000;
    font-size: 20px;
    padding: 0;
    text-align: center;
    vertical-align: middle;
    background: #f8f8f8;
}

.table {
    margin-bottom: 0px!important;
}

.page-item.active .page-link {
    background-color: #3a3f48;
    border-color: #ddd;
}

tr,
th,
td {
    border: 1px solid #ddd;
}

.page-link {
    color: #000;
}

.students {
    position: absolute;
    transform: rotate(-90deg);
    vertical-align: middle;
    top: 120px;
    left: -62px;
}

.fixed-footer button.btn {
    margin-top: -52px!important;
}

.btn-primary {
    background-color: #31353D;
    border-color: #fff;
}

.btn-primary:hover {
    background-color: #fff;
    color: #000;
    border-color: #000;
}

.btn-primary:not(:disabled):not(.disabled):active,
.btn-primary:not(:disabled):not(.disabled).active,
.show>.btn-primary.dropdown-toggle {
    background-color: #31353D!important;
    border-color: #fff!important;
}

.btn-primary:focus {
    box-shadow: 0 0 0 0.2rem #fff!important;
}

.image-responsive {
    width: 100%;
    padding: 10px
}

.copyright {
    background: #fff;
}

.width-th1 td {
    vertical-align: middle;
}

.fa-window-close-o {
    color: #ff0000;
}


/*paper css*/

.page {
    float: left;
    width: 100%;
}

.page img {
    width: 100%;
    box-shadow: 0 0 10px;
    margin-bottom: 20px;
}

.fixed-footer {
    position: fixed;
    right: 0;
    /*	background:#aab5b5; */
    z-index: 1002;
    bottom: 0;
}

.fixed-footer input {
    float: left;
    background: rgba(255, 255, 255, 0.8);
    border: 1px solid;
    padding: 5px;
}

.fixed-footer button.btn {
    margin-top: -41px;
}

.test-button {
    font-size: 16px;
    padding: 7px;
}

.final-submit {
    margin: 9px 0 0 -110px;
    width: 100%;
}

::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

::-webkit-scrollbar-button {
    background: #ccc
}

.middle-text td {
    vertical-align: middle;
    padding: 0px;
    text-align: center;
    align-items: center;
}

.time {
    font-size: 17px;
    text-align: center;
    margin-bottom: 0px;
    background-color: red;
    /* margin-bottom: 10px; */
    color: #fff;
    position: fixed;
    font-weight: bold;
    padding: 6px;
    top: 10px;
    right: 10px;
}

.main-section-scroll {
    height: 100vh;
    text-align: center;
    overflow-y: scroll;
}

.content-new {
    position: fixed;
    top: 100px;
    left: 0;
    right: 400px;
    float: left;
    text-align: center;
    z-index: 998;
    color: #aaa;
    font-size: 35px;
}

.content-new .name {
    min-height: 150px;
}

.checkbox {
    --border-radius: 0;
    padding: 5px;
}

.radio input[type="radio"],
.checkbox input[type="checkbox"] {
    display: none;
}

.radio label,
.checkbox label {
    position: relative;
    display: inline-block;
    width: 16px;
    height: 16px;
    border: 2px solid black;
    border-radius: var(--border-radius);
    border-radius: 50%;
    box-sizing: border-box;
}

.radio label::before,
.checkbox label::before {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    width: 10px;
    height: 10px;
    border-radius: var(--border-radius);
    background-color: transparent;
    transform: translate(-50%, -50%);
    transition: background-color 0.25s;
    transition: all ease 0.3s;
}

.radio :checked~label::before,
.checkbox :checked~label::before {
    background-color: red;
    border-radius: 50%;
}

.radio span,
.checkbox span {
    color: grey;
    vertical-align: top;
    transition: color 0.25s;
}

.radio :checked~span,
.checkbox :checked~span {
    color: limegreen;
}

.omr-section {
    height: 100vh;
    overflow-y: scroll;
}


/*paper css*/


/*omr sheet css*/

input[type="radio"] {
    display: none;
}

td>span.option {
    border: 1px solid;
    width: 25px;
    height: 25px;
    float: left;
    border-radius: 50%;
    cursor: pointer;
    transition: 2s;
    font-size: 16px;
}

.fr {
    margin-top: 4px;
}

.objqp {
    flex: 1;
}

.omr {
    width: 290px;
}

.hidden {
    display: none;
}

.exampopup {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 10000;
    background: #fff;
    padding-left: 50%;
}

.exampopup>img {
    height: 100%;
    transform: translate(-50%, 0);
}

.fixed-btn {
    position: fixed;
    right: 20px;
    top: 20px;
}

.popup {
    position: fixed;
    left: 50%;
    top: 50%;
    z-index: 1000;
    background: #fff;
    padding: 25px;
    display: none;
    transform: translate(-50%, -50%);
    box-shadow: 0 0 10px #000;
    border-radius: 10px;
}